Subject: Re: [PATCH] Reorganise and then fixup the pseries cpu hotplug code

From: Michael Ellerman <[email-masked]>
Date: Fri, 17 Nov 2006 15:44:00 +1100

On Fri, 2006-11-17 at 15:31 +1100, Stephen Rothwell wrote:
> One small nit ...
> 
> On Fri, 17 Nov 2006 14:36:35 +1100 Michael Ellerman <[email-masked]> wrote:
> >
> > +static int __init pseries_cpu_hotplug_init(void)
> > +{
> > +	rtas_stop_self_args.token = rtas_token("stop-self");
> > +	qcss_tok = rtas_token("query-cpu-stopped-state");
> > +
> > +	if (rtas_stop_self_args.token == RTAS_UNKNOWN_SERVICE ||
> > +			qcss_tok == RTAS_UNKNOWN_SERVICE)
> > +		return 1;
> 
> initcall fucntions should return 0 or -<error>;  -ENODEV is ignored,
> other nonzero values cause a log message if initcall debugging is enabled.

OK. I wanted to return an error, so there's something in the log to show
that cpu hotplug was disabled - but I didn't check what to return. I'll
fix it up on Monday to return -ENOENT.

cheers

-- 
Michael Ellerman
OzLabs, IBM Australia Development Lab

wwweb: http://michael.ellerman.id.au
phone: +61 2 6212 1183 (tie line 70 21183)

We do not inherit the earth from our ancestors,
we borrow it from our children. - S.M.A.R.T Person